Name:           python-pathable
Version:        0.4.4
Release:        %mkrel 1
Summary:        Object-oriented paths
Group:          Development/Python
License:        ASL
URL:            https://github.com/p1c2u/pathable
Source:         %{pypi_source pathable}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description 
Object-oriented paths

Key features
Traverse resources like paths
Access resources on demand with separate accessor layer


%package -n     python3-pathable
Summary:        %{summary}

%description -n python3-pathable 
Object-oriented paths

Key features
Traverse resources like paths
Access resources on demand with separate accessor layer


%prep
%autosetup -p1 -n pathable-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files pathable


%check
%pyproject_check_import


%files -n python3-pathable -f %{pyproject_files}
